Subject: bug#61676: closed (Re: bug#61676: package transformations not honored working from a manifest)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Mar 2023 17:03:02 +0000

Your bug report

#61676: package transformations not honored working from a manifest

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61676: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61676
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61676: package transformations not honored working from a manifest
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Mar 2023 12:01:53 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Ludovic Courtès <[email-masked]> skribis:
>
>> Maxim Cournoyer <[email-masked]> skribis:
>
> [...]
>
>>> It seems to me that the rewriting options should be honored on any
>>> packages being manipulated, whether they come from the Guix collection,
>>> a file, a manifest or another means.
>>
>> I’m not convinced; I think manifests should be interpreted literally.
>>
>> Incidentally, changing that would likely break existing workflows…
>
> Consequently, my inclination would be to close this issue as “wontfix”.
>
> WDYT?

Sounds reasonable; we can focus our energy on trying to improve #61684 instead.

-- 
Thanks,
Maxim

Subject: package transformations not honored working from a manifest
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Tue, 21 Feb 2023 08:23:51 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

I was trying to simplify the Jami packaging tooling using the latest
recursive '--with-source' transformation, like so (in a Makefile):

--8<---------------cut here---------------start------------->8---
define guix-pack-command
guix pack -C xz -f deb -f extras/packaging/gnu-linux/guix/guix-pack-manifest.scm -v3 \
  --with-source=libjami@$(RELEASE_VERSION)=$(RELEASE_TARBALL_FILENAME) \
  --with-patch=libjami=extras/packaging/gnu-linux/guix/patches/jami-disable-integration-tests.patch \
  --with-source=jami@$(RELEASE_VERSION)=$(RELEASE_TARBALL_FILENAME) \
  -S /usr/bin/jami=bin/jami \
  -S /usr/share/applications/jami.desktop=share/applications/jami.desktop \
  -S /usr/share/icons/hicolor/scalable/apps/jami.svg=share/icons/hicolor/scalable/apps/jami.svg \
  -S /usr/share/icons/hicolor/48x48/apps/jami.png=share/icons/hicolor/48x48/apps/jami.png \
  -S /usr/share/metainfo/jami.appdata.xml=share/metainfo/jami.appdata.xml \
  --postinst-file=extras/packaging/gnu-linux/guix/guix-pack-deb.postinst
endef
--8<---------------cut here---------------end--------------->8---

But noticed that --with-source and --with-patch were not effective for
the jami-with-certs customized package provided by the
guix-pack-manifest.scm manifest.

It seems to me that the rewriting options should be honored on any
packages being manipulated, whether they come from the Guix collection,
a file, a manifest or another means.

-- 
Thanks,
Maxim